SELECT invoice_number, 
       invoice_total, 
       payment_total + credit_total AS payment_credit_total, 
       invoice_total - payment_total - credit_total AS balance_due 
FROM invoices
WHERE balance_due > 50
ORDER BY balance_due DESC;