USE AP;
SELECT vendor_name, invoice_number, invoice_date, account_description, line_item_amount
FROM vendors v JOIN invoices i 
     ON v.vendor_id = i.vendor_id
     JOIN invoice_line_items li 
     ON i.invoice_id = li.invoice_id
     JOIN general_ledger_accounts ge 
     on li.account_number = ge.account_number
WHERE invoice_total - payment_total - credit_total > 0
ORDER BY vendor_name, line_item_amount DESC;