SELECT
     vendor_name,
     invoice_number,
     invoice_date,
     invoice_total - payment_total - credit_total AS balance_due
From vendors JOIN invoices
 	 on vendors.vendors_id = invoice.vendors_id
WHERE invoice_total - payment_total - credit_total <> 
ORDER BY vendor_name ASC;